package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdSynonyms;
import com.qsoft.rs.sincoar.dto.MdSynonymsDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdSynonymsMapper {

    MdSynonymsMapper INSTANCE = Mappers.getMapper(MdSynonymsMapper.class);
    @Mapping(source = "schemaIdFk", target = "schemaIdFk.id")
    MdSynonyms getEntidad(MdSynonymsDTO mdSynonyms);
    
    @Mapping(target = "schemaIdFk", source = "schemaIdFk.id")
    MdSynonymsDTO getDto(MdSynonyms mdSynonyms);

}